Retrieve all Bank Accounts, filter by query
curl --request GET \
--url https://api.zivio.net/api/v3/bank_accounts \
--header 'X-API-Key: <api-key>' \
--header 'zivio-tenant-id: <api-key>'import requests
url = "https://api.zivio.net/api/v3/bank_accounts"
headers = {
"X-API-Key": "<api-key>",
"zivio-tenant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'zivio-tenant-id': '<api-key>'}
};
fetch('https://api.zivio.net/api/v3/bank_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bank_accounts": [
{
"id": "132",
"currency": "GBP",
"country_code": "GB",
"account_holder_name": "Organistation Ltd",
"account_holder_type": "Business",
"account_number": "12345678",
"sort_code": "123456",
"bank_name": "Bank Inc",
"branch_name": "Manchester Central",
"branch_number": "23AX",
"routing_number": "7587",
"account_kind": "Checking",
"iban": "GB98MIDL07009312345678",
"bic_swift_code": "AAAABB11222",
"owner_id": "23",
"owner_type": "Supplier",
"owner_name": "Supplier Services Ltd",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Bank Accounts
Retrieve all Bank Accounts, filter by query
GET
/
bank_accounts
Retrieve all Bank Accounts, filter by query
Query Parameters
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on created timestamp for object.
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on updated timestamp for object.
Number of results returned per request
Paginate results when number of results exceeds limit
Results are sorted by created desc as default. Ordering may be specified, available options are ['created', 'updated'], which can be combined in a comma separated list, e.g. updated:desc,created:asc
Response
ok
Show child attributes
Show child attributes
⌘I

